Show / Hide Table of Contents

# Struct AgentContext

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AgentContext

### Fields

| Improve this Doc View Source

#### AgentContextInterface

##### Declaration

    public AgentContextInterface AgentContextInterface

##### Field Value

Type | Description
--- | ---
AgentContextInterface |

| Improve this Doc View Source

#### AgentInterface

##### Declaration

    public AgentInterface AgentInterface

##### Field Value

Type | Description
--- | ---
AgentInterface |

| Improve this Doc View Source

#### GameObjectContentId

##### Declaration

    public ulong GameObjectContentId

##### Field Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### GameObjectId

##### Declaration

    public uint GameObjectId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### GameObjectName

##### Declaration

    public Utf8String GameObjectName

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### GameObjectWorldId

##### Declaration

    public ushort GameObjectWorldId

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Items

##### Declaration

    public AgentContextMenuItems*Items

##### Field Value

Type | Description
--- | ---
AgentContextMenuItems* |

### Methods

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static AgentContext*Instance()

##### Returns

Type | Description
--- | ---
AgentContext* |